#ifndef ONDEVICEEMBEDDINGTEXTENGINE_H
#define ONDEVICEEMBEDDINGTEXTENGINE_H

#include <kylin-ai/ai-engine/ondeviceembeddingengine.h>

class TextEmbeddingServer;
namespace ai_engine::embedding {

class OndeviceTextEmbeddingEngine : public AbstractOnDeviceTextEmbeddingEngine {
public:
    OndeviceTextEmbeddingEngine();
    ~OndeviceTextEmbeddingEngine();
    std::string engineName() const override { return "ondevice"; }
    std::string currentModelName() const override {return "text embedding"; }

    void embeddingTextAsync(const std::string& input,
                            EmbeddingResultCallback callback) override;

private:
    TextEmbeddingServer* textembeddingserver_ = nullptr;
};

}  // namespace ai_engine::embedding

#endif
